## python-swiftclient 3.4.0

=== debian/changelog ===
python-swiftclient (1:3.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:21:31 -0400

python-swiftclient (1:3.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 28 Jan 2017 21:48:38 -0500

python-swiftclient (1:3.2.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Nov 2016 12:39:19 -0500

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 48~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures,
                     python-coverage,
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:0.7.0),
                     python-mock (>= 1.2),
                     python-oslosphinx (>= 4.7.0),
                     python-requests,
                     python-six,
                     python3-hacking (>= 0.10.0),
                     python3-keystoneclient (>= 1:0.7.0),
                     python3-mock (>= 1.2),
                     python3-requests,
                     python3-six,
                     python3-subunit,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
Homepage: https://github.com/openstack/python-swiftclient
Testsuite: autopkgtest-pkg-python

Package: python-swiftclient
Architecture: all
Depends: python-concurrent.futures,
         python-keystoneclient,
         python-pkg-resources,
         python-requests,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: Client library for Openstack Swift API - Python 2.7
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 2.7 module.

Package: python3-swiftclient
Architecture: all
Depends: python3-keystoneclient,
         python3-requests,
         python3-pkg-resources,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: Client library for Openstack Swift API - Python 3.x
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 3.x module.

Package: python-swiftclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-swiftclient (<< 1:2.4.0-2~)
Replaces: python-swiftclient (<< 1:2.4.0-2~)
Description: Client library for Openstack Swift API - doc
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the documentation.

## python-swiftclient 3.5.0

=== requirements.txt ===
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
requests>=1.1
six>=1.5.2

=== debian/changelog ===
python-swiftclient (1:3.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:42:07 -0500

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 48~),
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.1.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.1.2),
Build-Depends-Indep:
 python-concurrent.futures (>= 3.0),
 python-coverage (>= 3.6),
 python-hacking (>= 0.10.0),
 python-keystoneclient (>= 1:0.7.0),
 python-mock (>= 1.2),
 python-openstackdocstheme (>= 1.16.0),
 python-oslosphinx (>= 4.7.0),
 python-requests (>= 1.1),
 python-six (>= 1.5.2),
 python-testrepository (>= 0.0.18),
 python3-coverage (>= 3.6),
 python3-hacking (>= 0.10.0),
 python3-keystoneclient (>= 1:0.7.0),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.16.0),
 python3-oslosphinx (>= 4.7.0),
 python3-requests (>= 1.1),
 python3-testrepository (>= 0.0.18),
 python3-six (>= 1.5.2),
 python3-subunit,
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
Homepage: https://github.com/openstack/python-swiftclient
Testsuite: autopkgtest-pkg-python

Package: python-swiftclient
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0),
 python-keystoneclient,
 python-pkg-resources,
 python-requests (>= 1.1),
 python-six (>= 1.5.2),
 ${misc:Depends},
 ${python:Depends},
Description: Client library for Openstack Swift API - Python 2.7
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 2.7 module.

Package: python-swiftclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-swiftclient (<< 1:2.4.0-2~),
Replaces:
 python-swiftclient (<< 1:2.4.0-2~),
Description: Client library for Openstack Swift API - doc
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the documentation.

Package: python3-swiftclient
Architecture: all
Depends:
 python3-keystoneclient,
 python3-pkg-resources,
 python3-requests (>= 1.1),
 python3-six (>= 1.5.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Swift API - Python 3.x
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-swiftclient ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-swiftclient ; \
	done
	mv $(CURDIR)/debian/python-swiftclient/usr/bin/swift $(CURDIR)/debian/python-swiftclient/usr/bin/python2-swift
	mv $(CURDIR)/debian/python3-swiftclient/usr/bin/swift $(CURDIR)/debian/python3-swiftclient/usr/bin/python3-swift
	mv $(CURDIR)/debian/python-swiftclient/usr/share/man/man1/swift.1 \
		$(CURDIR)/debian/python-swiftclient/usr/share/man/man1/python2-swift.1
	mv $(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/swift.1 \
		$(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/python3-swift.1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/openstack/python-swiftclient/tags .*/(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
https://tarballs.openstack.org/python-swiftclient/ python-swiftclient-(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-swiftclient 3.6.0

=== debian/changelog ===
python-swiftclient (1:3.6.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 10:46:36 +0200

python-swiftclient (1:3.6.0-1) experimental; urgency=medium

  * New upstream release
  * Fix B-D for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 16:55:20 +0200

python-swiftclient (1:3.5.0-3) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/changelog: Remove empty line at end of file
  * Bump standards version to 4.1.2 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 16:27:27 +0200

python-swiftclient (1:3.5.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 10:47:29 +0100

python-swiftclient (1:3.5.0-1) experimental; urgency=medium

  * New upstream release
  * Change B-D for new upstream release
  * Standards-Version is 4.1.3 (no changes needed)
  * Bump debhelper compat level to 11
  * d/control: Set Vcs-* to salsa.debian.org
  * Use Python 3 Sphinx for building docs
  * Move docs to /usr/share/doc/python-swiftclient directory

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Feb 2018 10:53:06 +0100

python-swiftclient (1:3.4.0-3) unstable; urgency=medium

  [ Daniel Baumann ]
  * Non-maintainer upload.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Removed versions of (build-)depends that are available in Stretch.
  * Removed now useless Breask+Replaces in the -doc package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Nov 2017 22:26:50 +0000

python-swiftclient (1:3.4.0-2) experimental; urgency=medium

  * d/s/options: Remove extend-diff-ignore of .gitreview
  * d/copyright: Bump copyright years
  * Install AUTHORS file as docs
  * Add Python examples to doc package

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Aug 2017 00:38:56 +0200

python-swiftclient (1:3.4.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Ondřej Nový ]
  * New upstream release
  * d/p/Require_futures_only_for_Python_2.patch: Drop, applied upstream

 -- Ondřej Nový <onovy@debian.org>  Mon, 07 Aug 2017 18:48:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,61 +1,57 @@
 Source: python-swiftclient
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11.1.4~),
  dh-python,
- openstack-pkg-tools (>= 48~),
+ openstack-pkg-tools,
  python-all,
  python-pbr,
  python-setuptools,
- python-sphinx (>= 1.1.2),
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.1.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python-concurrent.futures (>= 3.0),
- python-coverage (>= 3.6),
- python-hacking (>= 0.10.0),
- python-keystoneclient (>= 1:0.7.0),
- python-mock (>= 1.2),
- python-openstackdocstheme (>= 1.16.0),
- python-oslosphinx (>= 4.7.0),
- python-requests (>= 1.1),
- python-six (>= 1.5.2),
- python-testrepository (>= 0.0.18),
- python3-coverage (>= 3.6),
- python3-hacking (>= 0.10.0),
- python3-keystoneclient (>= 1:0.7.0),
- python3-mock (>= 1.2),
- python3-openstackdocstheme (>= 1.16.0),
- python3-oslosphinx (>= 4.7.0),
- python3-requests (>= 1.1),
- python3-testrepository (>= 0.0.18),
- python3-six (>= 1.5.2),
+ python-concurrent.futures,
+ python-coverage,
+ python-hacking,
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystoneclient,
+ python-mock,
+ python-requests,
+ python-six,
+ python3-hacking,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient,
+ python3-mock,
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslosphinx,
+ python3-reno (>= 2.5.0),
+ python3-requests,
+ python3-six,
  python3-subunit,
  subunit,
  testrepository,
-Standards-Version: 4.1.2
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
 
 Package: python-swiftclient
 Architecture: all
 Depends:
- python-concurrent.futures (>= 3.0),
+ python-concurrent.futures,
  python-keystoneclient,
  python-pkg-resources,
- python-requests (>= 1.1),
- python-six (>= 1.5.2),
+ python-requests,
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Description: Client library for Openstack Swift API - Python 2.7
@@ -89,10 +85,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Breaks:
- python-swiftclient (<< 1:2.4.0-2~),
-Replaces:
- python-swiftclient (<< 1:2.4.0-2~),
 Description: Client library for Openstack Swift API - doc
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -123,8 +115,8 @@
 Depends:
  python3-keystoneclient,
  python3-pkg-resources,
- python3-requests (>= 1.1),
- python3-six (>= 1.5.2),
+ python3-requests,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,10 @@
 	mv $(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/swift.1 \
 		$(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/python3-swift.1
 
+override_dh_installdocs:
+	dh_installdocs
+	dh_installdocs -A AUTHORS
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
@@ -49,6 +53,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient-doc/html
+	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-swiftclient 3.7.0

=== debian/changelog ===
python-swiftclient (1:3.7.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Use pybuild for package building
  * Move python3-keystoneclient into Recommends
  * d/tests: Remove Python 2 tests and simplify Python 3

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 15:26:34 +0200

python-swiftclient (1:3.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Using installed python package for running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 23:05:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,77 +7,30 @@
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 11.1.4~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-concurrent.futures,
- python-coverage,
- python-hacking,
- python-keystoneauth1 (>= 3.4.0),
- python-keystoneclient,
- python-mock,
- python-requests,
- python-six,
+ python3-coverage,
  python3-hacking,
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1,
  python3-keystoneclient,
  python3-mock,
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme,
  python3-oslosphinx,
- python3-reno (>= 2.5.0),
+ python3-reno,
  python3-requests,
  python3-six,
- python3-subunit,
- subunit,
- testrepository,
-Standards-Version: 4.2.1
+ python3-stestr,
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
-
-Package: python-swiftclient
-Architecture: all
-Depends:
- python-concurrent.futures,
- python-keystoneclient,
- python-pkg-resources,
- python-requests,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Description: Client library for Openstack Swift API - Python 2.7
- OpenStack Object Storage (code-named Swift) creates redundant, scalable object
- storage using clusters of standardized servers to store petabytes of
- accessible data. It is not a file system or real-time data storage system, but
- rather a long-term storage system for a more permanent type of static data
- that can be retrieved, leveraged, and then updated if necessary. Primary
- examples of data that best fit this type of storage model are virtual machine
- images, photo storage, email storage and backup archiving. Having no central
- "brain" or master point of control provides greater scalability, redundancy
- and permanence.
- .
- Objects are written to multiple hardware devices in the data center, with
- the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by
- adding new nodes. Should a node fail, OpenStack works to replicate its
- content from other active nodes. Because OpenStack uses software logic to
- ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
- This package provides a client for the OpenStack Swift API. There's a Python
- API  (the "swiftclient" module), and a command-line script ("swift").
- .
- This package contains the Python 2.7 module.
 
 Package: python-swiftclient-doc
 Section: doc
@@ -112,11 +65,11 @@
 
 Package: python3-swiftclient
 Architecture: all
+Recommends:
+ python3-keystoneclient,
+ ${python3:Recommends},
 Depends:
- python3-keystoneclient,
  python3-pkg-resources,
- python3-requests,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; swift -h 2>&1 >/dev/null
Depends: python3-swiftclient
Features: test-name=cli

## python-swiftclient 3.8.1

=== debian/changelog ===
python-swiftclient (1:3.8.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:38:22 +0100

python-swiftclient (1:3.8.0-0ubuntu3) eoan; urgency=medium

  * d/rules, d/tests/client: Since the package is now Python3 only and no
    longer uses alternatives, there's no need to move the binary to
    python3-swift and also no need to move the man page to python3-swift.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 10:23:05 -0400

python-swiftclient (1:3.8.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/tests, d/pydist-overrides,
    d/python(3)-swiftclient.p*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Aug 2019 09:29:53 -0400

python-swiftclient (1:3.8.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:51:56 -0400

python-swiftclient (1:3.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run unit tests with stestr via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 14:40:21 -0400

python-swiftclient (1:3.6.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 16:11:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,41 @@
 Source: python-swiftclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 11.1.4~),
  dh-python,
  openstack-pkg-tools,
+ python-all,
+ python-pbr,
+ python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient,
- python3-mock,
- python3-openstackdocstheme,
- python3-oslosphinx,
- python3-reno,
- python3-requests,
- python3-six,
- python3-stestr,
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
+ python3-mock (>= 1.2.0),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 1.1.0),
+ python3-six (>= 1.9.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ subunit,
+ testrepository,
+Standards-Version: 4.1.3
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
 
@@ -65,11 +72,11 @@
 
 Package: python3-swiftclient
 Architecture: all
-Recommends:
+Depends:
  python3-keystoneclient,
- ${python3:Recommends},
-Depends:
  python3-pkg-resources,
+ python3-requests (>= 1.1.0),
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-swiftclient ; \
	done

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-swiftclient 3.9.0

=== debian/changelog ===
python-swiftclient (1:3.9.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:36:02 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,6 @@
  debhelper (>= 11.1.4~),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -25,6 +22,7 @@
  python3-keystoneclient,
  python3-mock (>= 1.2.0),
  python3-openstackdocstheme (>= 1.20.0),
+ python3-openstacksdk (>= 0.11.0),
  python3-oslosphinx (>= 4.7.0),
  python3-reno (>= 2.5.0),
  python3-requests (>= 1.1.0),

## python-swiftclient 3.10.1

=== requirements.txt ===
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
requests>=1.1.0
six>=1.9.0

=== doc/requirements.txt ===
keystoneauth1>=3.4.0  # Apache-2.0
sphinx!=1.6.6,!=1.6.7,<2.0.0,>=1.6.2;python_version=='2.7' # BSD
sphinx>=2.0.0,!=2.1.0;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0
openstackdocstheme>=1.31.2 # Apache-2.0

=== debian/changelog ===
python-swiftclient (1:3.10.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:23:24 +0200

python-swiftclient (1:3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:43:10 +0200

python-swiftclient (1:3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/python3-swiftclient.pyremove: Remove useless "object" file.

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Jul 2020 10:34:09 +0200

python-swiftclient (1:3.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:40:11 +0200

python-swiftclient (1:3.9.0-1) experimental; urgency=medium

  * New upstream release.
  * d/pybuild.testfiles: Rename tests directory to test (as upstream).
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Mar 2020 12:10:32 +0100

python-swiftclient (1:3.8.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 21:37:13 +0200

python-swiftclient (1:3.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Remove python3-oslosphinx from B-D, not needed anymore.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 13:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,36 @@
 Source: python-swiftclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 11.1.4~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-coverage,
+ python3-hacking,
+ python3-keystoneauth1,
  python3-keystoneclient,
- python3-mock (>= 1.2.0),
- python3-openstackdocstheme (>= 1.20.0),
- python3-openstacksdk (>= 0.11.0),
- python3-oslosphinx (>= 4.7.0),
- python3-reno (>= 2.5.0),
- python3-requests (>= 1.1.0),
- python3-six (>= 1.9.0),
- python3-stestr (>= 2.0.0),
- python3-subunit,
- subunit,
- testrepository,
-Standards-Version: 4.1.3
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-swiftclient
+ python3-mock,
+ python3-openstackdocstheme,
+ python3-reno,
+ python3-requests,
+ python3-six,
+ python3-stestr,
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-swiftclient-doc
 Section: doc
@@ -70,11 +65,11 @@
 
 Package: python3-swiftclient
 Architecture: all
+Recommends:
+ python3-keystoneclient,
+ ${python3:Recommends},
 Depends:
- python3-keystoneclient,
  python3-pkg-resources,
- python3-requests (>= 1.1.0),
- python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; swift -h 2>&1 >/dev/null
Depends:
 python3-swiftclient,
Features: test-name=cli

## python-swiftclient 3.11.0

=== debian/changelog ===
python-swiftclient (1:3.11.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 12:13:47 +0000

python-swiftclient (1:3.10.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:38:03 -0400

python-swiftclient (1:3.10.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 12:17:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,41 @@
 Source: python-swiftclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 11.1.4~),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient,
- python3-mock,
- python3-openstackdocstheme,
- python3-reno,
- python3-requests,
- python3-six,
- python3-stestr,
+ python3-mock (>= 1.2.0),
+ python3-openstackdocstheme (>= 1.31.2),
+ python3-openstacksdk (>= 0.11.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 1.1.0),
+ python3-six (>= 1.9.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ subunit,
+ testrepository,
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-swiftclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-swiftclient-doc
 Section: doc
@@ -65,11 +70,11 @@
 
 Package: python3-swiftclient
 Architecture: all
-Recommends:
+Depends:
  python3-keystoneclient,
- ${python3:Recommends},
-Depends:
  python3-pkg-resources,
+ python3-requests (>= 1.1.0),
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

## python-swiftclient 3.12.0

=== debian/changelog ===
python-swiftclient (1:3.12.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Jun 2021 11:33:11 +0000

python-swiftclient (1:3.12.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:03 +0000

## python-swiftclient 3.13.1

=== requirements.txt ===
futures>=3.0.0;python_version=='2.7' # BSD
requests>=1.1.0
six>=1.9.0

=== doc/requirements.txt ===
keystoneauth1>=3.4.0  # Apache-2.0
sphinx>=1.6.2,!=1.6.6,!=1.6.7,!=2.1.0,!=3.0.0  # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-swiftclient (1:3.13.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:50:56 -0500

python-swiftclient (1:3.13.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:15:18 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 11.1.4~),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
https://tarballs.openstack.org/python-swiftclient/ python-swiftclient-(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-swiftclient 4.1.0

=== debian/changelog ===
python-swiftclient (1:4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:43:34 +0200

python-swiftclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 11:30:29 +0200

python-swiftclient (1:3.13.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:41:54 +0100

python-swiftclient (1:3.13.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 12:09:21 +0100

python-swiftclient (1:3.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:53:43 +0200

python-swiftclient (1:3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 11:22:39 +0200

python-swiftclient (1:3.11.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 10:36:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,33 @@
 Source: python-swiftclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-coverage,
+ python3-hacking,
+ python3-keystoneauth1,
  python3-keystoneclient,
- python3-mock (>= 1.2.0),
- python3-openstackdocstheme (>= 1.31.2),
- python3-openstacksdk (>= 0.11.0),
- python3-oslosphinx (>= 4.7.0),
- python3-reno (>= 2.5.0),
- python3-requests (>= 1.1.0),
- python3-six (>= 1.9.0),
- python3-stestr (>= 2.0.0),
- python3-subunit,
- subunit,
- testrepository,
+ python3-openstackdocstheme,
+ python3-reno,
+ python3-stestr,
 Standards-Version: 4.5.0
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-swiftclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-swiftclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-swiftclient-doc
 Section: doc
@@ -70,11 +62,11 @@
 
 Package: python3-swiftclient
 Architecture: all
+Recommends:
+ python3-keystoneclient,
+ ${python3:Recommends},
 Depends:
- python3-keystoneclient,
  python3-pkg-resources,
- python3-requests (>= 1.1.0),
- python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

## python-swiftclient 4.2.0

=== debian/changelog ===
python-swiftclient (1:4.2.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 21:13:15 +0000

python-swiftclient (1:4.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 13:05:05 -0500

python-swiftclient (1:4.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:15:14 -0400

python-swiftclient (1:4.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:45:02 -0400

python-swiftclient (1:4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:01:29 -0400

## python-swiftclient 4.4.0

=== debian/changelog ===
python-swiftclient (1:4.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 21:39:34 +0000

python-swiftclient (1:4.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:31:03 -0400

python-swiftclient (1:4.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/t/control: Rename from d/t/control.autodep8.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:07:32 -0400
